Playlists/Tagged Endpoints (2022/06)
Use these endpoints to manage Tagged Playlists on the network.
Base URL for these endpoints: https://api.bsn.cloud/2022/06/REST/Playlists/Tagged
_________________________________________________________________________
GET /
Returns a list of Tagged Playlists on the network.
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Query String Parameters
- filter string optional: An expressionexpression for filtering search results. The default value is null.
- sort string optional: An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (e.g. "[Device].[Serial] ASC"). The default value is null.
- marker string optional: A value specifying which page to retrieve. This value is useful if the isTruncated entry in the response body of the previous GET call indicates that the number of Tagged Playlists exceeds the pageSize. This parameter is only required if you need more elements in the paged list than the pageSize (100).
- pageSize int optional: The maximum number of Tagged Playlists that can be contained in the response body. This defaults to the maximum allowed page size (100).
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- marker value is set to the [PagedList].[NextMarker] property value from the previous BSN.cloud API response.
- pageSize is set to 1
- filter is set to [WaitingForApprove] IS FALSE
- sort is set to [Name] DESC
GET /2022/06/REST/Playlists/Tagged/?marker=Qm9zZSw2OTk2MTMz&pageSize=1&filter=%5BWaitingForApprove%5D%20IS%20FALSE&sort=%5BName%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns a paged listpaged list of Tagged Playlists Entities on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.
Example
{
"items": [ {
"id": 4629237,
"name": "Animals",
"physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=492A1CD3D8588F3DC1C61E082B77B901",
"contentsVirtualPath": "\\Shared\\",
"rule": "<Cats> IS 'Maine Coon' AND <Dogs> IS 'Beagle'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "2022-08-22T19:01:19.457Z",
"lastModifiedDate": "2022-08-22T19:01:19.457Z",
"content": null,
"presentations": [],
"permissions": []
}],
"totalItemCount": 2,
"matchingItemCount": 2,
"pageSize": 1,
"nextMarker": "QW5pbWFscyw0NjI5MjM2",
"prevMarker": "QW5pbWFscyw0NjI55h67",
"isTruncated": false,
"sortExpression": "[Name] DESC",
"filterExpression": "[WaitingForApprove] IS FALSE"
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /
Creates a Tagged Playlist on the network.
Required Scope Token
bsn.api.main.playlists.tagged.create
______________________________________________________________
Request Body
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
POST /2022/06/REST/Playlists/Tagged/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 535This is the example request body:
{
"id": 0,
"name": "Entryway",
"physicalPath": null,
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": null,
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response Body
201: Returns the Tagged Playlists Entity created and referenced by the Uri (given by the Location header field) in the response.
Example
{
"id": 12345678,
"name": "Entryway",
"physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=3C149FB6DA45DA4EBB81AB9090CA0154",
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "2023-11-17T23:58:59.5921725Z",
"lastModifiedDate": "2023-11-17T23:58:59.5921725Z",
"content": [
{
"contentId": 12345,
"fileName": "audio1429519115.m4a",
"displayDuration": null,
"validityStartDate": null,
"validityEndDate": null,
"state": "Approved"
}
],
"presentations": [],
"permissions": []
}Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /
Removes Tagged Playlists, specified by a filter, from the network. This allows you to delete multiple Tagged Playlists at once.
Required Scope Token
bsn.api.main.playlists.tagged.delete
______________________________________________________________
Query String Parameter
- filter string required: An expressionexpression for filtering search results
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [ContentsVirtualPath] IS '\\Shared\\Playlists\\'
DELETE /2022/06/REST/Playlists/Tagged/?filter=%5BContentsVirtualPath%5D%20IS%20%27%5C%5CShared%5C%5CPlaylists%5C%5C%27 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the number of affected Tagged Playlist as an integer value
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /Count/
Returns the number of Tagged Playlists on the network that match the specified filter criteria. If no filter is included, this call returns the total number of Tagged Playlists on the network.
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Query String Parameter
- filter string optional: An expressionexpression for filtering search results. The default value is null.
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- filter is set to [WaitingForApprove] IS FALSE
GET /2022/06/REST/Playlists/Tagged/Count/?filter=%5BWaitingForApprove%5D%20IS%20FALSE HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: The number of Tagged Playlists is returned as an integer value.
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/
Returns the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Tagged Playlists Entity
Example
This is an example of a 200 level response:
{
"id": 12345678,
"name": "DecemberSaleEvent",
"physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=03BAD9A1CD834901HT5E574983F8215D",
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "2023-11-07T18:35:49.003Z",
"lastModifiedDate": "2023-12-20T21:32:35.093Z",
"content": [
{
"contentId": 12345,
"fileName": "audio1429519115.m4a",
"displayDuration": null,
"validityStartDate": null,
"validityEndDate": null,
"state": "Approved"
}
],
"presentations": [
{
"id": 54321,
"name": "HTML_RedandGreen",
"type": "Presentation",
"link": null
}
],
"permissions": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{id}/
Modifies the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.update
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Body
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 705This is the example request body:
{
"id": 12345678,
"name": "DecemberSaleEvent",
"physicalPath": null,
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": [
{
"contentId": 12345,
"fileName": "audio1429519115.m4a",
"displayDuration": "00:01:00",
"validityStartDate": "2023-12-01T00:00:00",
"validityEndDate": "2024-01-01T00:00:00",
"state": "Approved"
}
],
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response
204: The specified Tagged Playlist has been updated on the network
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/
Removes the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.delete
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Playlists/Tagged/12345678/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Tagged Playlist file has been removed
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /{name}/
Returns the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to DecemberSaleEvent
- The optional If-Modified-Since header value equals the Last-Modified header value retrieved from the previous GET /id or GET /name response
GET /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Modified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response with Body
200: Returns the Tagged Playlists Entity
Example
This is an example of a 200 level response:
{
"id": 12345678,
"name": "DecemberSaleEvent",
"physicalPath": "https://handlers.bsn.cloud/bs/GetFile.ashx?type=TaggedPlaylist&token=03BAD9A1CD834901HT5E574983F8215D",
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "2023-11-07T18:35:49.003Z",
"lastModifiedDate": "2023-12-20T21:32:35.093Z",
"content": [
{
"contentId": 12345,
"fileName": "audio1429519115.m4a",
"displayDuration": null,
"validityStartDate": null,
"validityEndDate": null,
"state": "Approved"
}
],
"presentations": [
{
"id": 242158,
"name": "HTML_RedandGreen",
"type": "Presentation",
"link": null
}
],
"permissions": []
}Success Response
304: The resource was not modified since the time specified in the “If-Modified-Since” header
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
PUT /{name}/
Modifies the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.create
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Body
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to DecemberSaleEvent
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
PUT /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Content-Type: application/json
Content-Length: 705This is the example request body:
{
"id": 12345678,
"name": "DecemberSaleEvent",
"physicalPath": null,
"contentsVirtualPath": "\\Shared\\Playlists\\",
"rule": "<audio> IS 'song' AND <video> IS 'demo' AND <Speaker> IS 'revolve'",
"orderTag": "<FileName> ASC",
"ttl": "00:05:00",
"waitingForApprove": false,
"creationDate": "0001-01-01T00:00:00",
"lastModifiedDate": "0001-01-01T00:00:00",
"content": [
{
"contentId": 12345,
"fileName": "audio1429519115.m4a",
"displayDuration": "00:01:00",
"validityStartDate": "2023-12-01T00:00:00",
"validityEndDate": "2024-01-01T00:00:00",
"state": "Approved"
}
],
"presentations": null,
"permissions": []
}______________________________________________________________
Success Response
204: The specified Tagged Playlist has been updated on the network
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/
Removes the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.delete
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to DecemberSaleEvent
- The optional If-Unmodified-Since header value equals the Last-Modified header value retrieved from the GET /id or GET /name response.
DELETE /2022/06/REST/Playlists/Tagged/DecemberSaleEvent/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
If-Unmodified-Since: Wed, 20 Dec 2023 21:32:34 GMT
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response
204: The specified Tagged Playlist file has been removed
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
412: Precondition failed (the resource changed since the time specified in the “If-Unmodified-Since” header value)
5XX: Any 500 code is an internal server error
GET /Operations/
Returns the operational permissions granted to roles for specific business operations
Required Scope Token
bsn.api.main.playlists.operations.retrieve
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
GET /2022/06/REST/Playlists/Tagged/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns the Business Operations EntityBusiness Operations Entity
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{id}/Permissions/
Includes object permissions for a given Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
GET /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 12345678,
"operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-11-07T22:10:20.99Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{id}/Permissions/
Retrieves the permissions for the specified Tagged Playlist on the network.
Required Scope Token
bsn.api.main.playlists.tagged.update
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
POST /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 484This is the example request body:
{
"entityId": 12345678,
"operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-11-09T18:03:06.673Z"
}______________________________________________________________
Success Response
204: The permissions were successfully added to the specified Tagged Playlist
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{id}/Permissions/
Removes permissions for the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.delete
______________________________________________________________
Segment
- id int: A unique identifier for the Tagged Playlist
______________________________________________________________
Request Body
- An array PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to 12345678
DELETE /2022/06/REST/Playlists/Tagged/12345678/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 321This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "5c6ef943-d660-4907-aa56-e91903ff1772",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 0
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-11T18:46:30.1Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
GET /{name}/Permissions/
Includes object permissions for a given Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.retrieve
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Afternoon
GET /2022/06/REST/Playlists/Tagged/Afternoon/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate______________________________________________________________
Success Response Body
200: Returns an array of PermissionPermission entities
Example
[
{
"entityId": 12345678,
"operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-11-07T22:10:20.99Z"
}
]Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request is malformed and therefore invalid
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error
POST /{name}/Permissions/
Retrieves the permissions for the specified Tagged Playlist on the network.
Required Scope Token
bsn.api.main.playlists.tagged.update
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- id is set to Morning
POST /2022/06/REST/Playlists/Tagged/Morning/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 484This is the example request body:
{
"entityId": 23456789,
"operationUID": "3cd50d9a-a3be-4d6f-84a9-323ab72cc39e",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 10498
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-11-09T18:03:06.673Z"
}______________________________________________________________
Success Response
204: The permissions were successfully added to the specified Tagged Playlist
Failure Response
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
415: The server cannot accept the data representation that you sent (as specified in the "Content-Type" header)
5XX: Any 500 code is an internal server error
DELETE /{name}/Permissions/
Removes permissions for the specified Tagged Playlist
Required Scope Token
bsn.api.main.playlists.tagged.update
______________________________________________________________
Segment
- name string: The name of the Tagged Playlist
______________________________________________________________
Request Body
- An array of PermissionPermission entities
______________________________________________________________
Request Example
The example request parameters and headers are set as follows:
- name is set to Afternoon
DELETE /2022/06/REST/Playlists/Tagged/Afternoon/Permissions/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
Content-Type: application/json
Content-Length: 321This is the example request body:
[
{
"entityId": 12345678,
"operationUID": "5c6ef943-d660-4907-aa56-e91903ff1772",
"principal": {
"name": "Custom",
"isCustom": true,
"type": "Role",
"id": 0
},
"isFixed": false,
"isInherited": false,
"isAllowed": true,
"creationDate": "2023-10-11T18:46:30.1Z"
}
]______________________________________________________________
Success Response
204: The specified permissions were successfully deleted
Failure Response
300: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)
400: The request or request body is malformed and therefore invalid, or it is rejected in accordance with the business rules
401: The access token is invalid or not specified
403: The supplied access token, though valid, doesn't provide access to this method
404: The server cannot find the requested resource (the path does not exist)
406: The server cannot return the data representation that you requested (as specified in the "Accept" header)
5XX: Any 500 code is an internal server error